Input fields

Angular Bootstrap 5 Input fields

Input fields refer specifically to the text input fields, which are used to obtain data from the users.


Basic example

A basic example of the input field consists of the input element with specified ID and label element connected via this ID with the input.

        
            
            <mdb-form-control>
              <input mdbInput type="text" id="form1" class="form-control" />
              <label mdbLabel class="form-label" for="form1">Example label</label>
            </mdb-form-control>
          
        
    

Sizing

Set heights using classes like .form-control-lg and .form-control-sm.



        
            
              <mdb-form-control>
                <input mdbInput type="text" id="formControlLg" class="form-control form-control-lg" />
                <label mdbLabel class="form-label" for="formControlLg">Form control lg</label>
              </mdb-form-control>
              <mdb-form-control>
                <input mdbInput type="text" id="formControlDefault" class="form-control" />
                <label mdbLabel class="form-label" for="formControlDefault">Form control default</label>
              </mdb-form-control>
              <mdb-form-control>
                <input mdbInput type="text" id="formControlSm" class="form-control form-control-sm" />
                <label mdbLabel class="form-label" for="formControlSm">Form control sm</label>
              </mdb-form-control>
            
        
    

Disabled

Add the disabled boolean input on an element with mdbInput directive to give it a grayed out appearance and remove pointer events.

        
            
            <mdb-form-control>
              <input
                mdbInput
                class="form-control"
                id="formControlDisabled"
                type="text"
                placeholder="Disabled input"
                aria-label="disabled input example"
                [disabled]="true"
              />
              <label mdbLabel class="form-label" for="formControlDisabled">Disabled</label>
            </mdb-form-control>
          
        
    

Readonly

Add the readonly boolean input on an element with mdbInput directive to prevent modification of the input’s value. Read-only inputs appear lighter (just like disabled inputs), but retain the standard cursor.

        
            
            <mdb-form-control>
              <input
                mdbInput
                class="form-control"
                id="formControlReadonly"
                type="text"
                placeholder="Readonly input here..."
                aria-label="readonly input example"
                [readonly]="true"
              />
              <label mdbLabel class="form-label" for="formControlReadonly">Readonly</label>
            </mdb-form-control>
          
        
    

Types

Input types let you specified what data users should provide and help you validate it.

Text

The input type="text" defines a single-line text field.

        
            
              <mdb-form-control>
                <input mdbInput type="text" id="typeText" class="form-control" />
                <label mdbLabel class="form-label" for="typeText">Text input</label>
              </mdb-form-control>
            
        
    

Email

The input field type="email" defines the email address field. The input value is automatically validated to ensure that it is a properly formatted email address

        
            
              <mdb-form-control>
                <input mdbInput type="email" id="typeEmail" class="form-control" />
                <label mdbLabel class="form-label" for="typeEmail">Email input</label>
              </mdb-form-control>
            
        
    

Password

The input field type="password" defines a password field, thus hiding characters as confidential information.

        
            
              <mdb-form-control>
                <input mdbInput type="password" id="typePassword" class="form-control" />
                <label mdbLabel class="form-label" for="typePassword">Password input</label>
              </mdb-form-control>
            
        
    

Number

The input type="number" defines field for entering a number.

        
            
              <mdb-form-control>
                <input mdbInput type="number" id="typeNumber" class="form-control" />
                <label mdbLabel class="form-label" for="typeNumber">Number input</label>
              </mdb-form-control>
            
        
    

Phone number

The input type="tel" defines a field for entering a telephone number.

        
            
              <mdb-form-control>
                <input mdbInput type="tel" id="typePhone" class="form-control" />
                <label mdbLabel class="form-label" for="typePhone">Phone number input</label>
              </mdb-form-control>
            
        
    

URL

The input type="url" defines a field for entering a URL.

        
            
              <mdb-form-control>
                <input mdbInput type="url" id="typeURL" class="form-control" />
                <label mdbLabel class="form-label" for="typeURL">URL input</label>
              </mdb-form-control>
            
        
    

Textarea

The textarea tag defines a multi-line text input control.

        
            
              <mdb-form-control>
                <textarea mdbInput class="form-control" id="textAreaExample" rows="4"></textarea>
                <label mdbLabel class="form-label" for="textAreaExample">Message</label>
              </mdb-form-control>
            
        
    

Text

Block-level or inline-level form text can be created using .form-text.

Associating form text with form controls
Form text should be explicitly associated with the form control it relates to using the aria-describedby attribute. This will ensure that assistive technologies—such as screen readers—will announce this form text when the user focuses or enters the control.

Form text below inputs can be styled with .form-text. If a block-level element will be used, a top margin is added for easy spacing from the inputs above.

We'll never share your email with anyone else.
        
            
            <mdb-form-control>
              <input
                mdbInput
                type="text"
                id="formTextExample1"
                class="form-control"
                aria-describedby="textExample1"
              />
              <label mdbLabel class="form-label" for="formTextExample1">Example label</label>
            </mdb-form-control>
            <div id="textExample1" class="form-text">
              We'll never share your email with anyone else.
            </div>
          
        
    

Inline text can use any typical inline HTML element (be it a <span>, <small>, or something else) with nothing more than the .form-text class.

Must be 8-20 characters long.
        
            
            <div class="row g-3 align-items-center">
              <mdb-form-control class="col-auto">
                <input
                  mdbInput
                  type="password"
                  id="formTextExample2"
                  class="form-control"
                  aria-describedby="textExample2"
                />
                <label mdbLabel class="form-label" for="formTextExample2">Password</label>
              </mdb-form-control>
              <div class="col-auto">
                <span id="textExample2" class="form-text"> Must be 8-20 characters long. </span>
              </div>
            </div>
          
        
    

Character counter

With the help of form-helper, form-counter classes and input's maxlength attribute you can easily create a character counter.

        
            
        <mdb-form-control>
          <input
            mdbInput
            [formControl]="input"
            type="text"
            id="formCharacterCounter"
            class="form-control"
            aria-describedby="characterCounter"
            [maxlength]="maxLength"
          />
          <label mdbLabel class="form-label" for="formCharacterCounter">Example label</label>
          <div class="form-helper">
            <div class="form-counter">{{ characterCount }} / {{ maxLength }}</div>
          </div>
        </mdb-form-control>
        
        
    
        
            
        import { Component, OnInit } from '@angular/core';
        import { FormControl } from '@angular/forms';
        
        @Component({
          selector: 'app-root',
          templateUrl: './app.component.html',
          styleUrls: ['./app.component.scss'],
        })
        export class AppComponent implements OnInit {
          input = new FormControl();
          characterCount = 0;
          maxLength = 20;
        
          constructor() {}
        
          ngOnInit(): void {
            this.input.valueChanges.subscribe((value) => {
              this.characterCount = value.length;
            });
          }
        }
        
        
    

Input fields - API


Import

        
            
          import { MdbFormsModule } from 'mdb-angular-ui-kit/forms';
          import { ReactiveFormsModule } from '@angular/forms';

          …
          @NgModule ({
            ...
            imports: [MdbFormsModule, ReactiveFormsModule],
            ...
          })
        
        
    

Inputs

Name Type Default Description
disabled Boolean false Changes input disabled state
readonly Boolean false Changes input readonly state
value any - Changes input value

Input fields

Vue Bootstrap 5 Input fields

Vue Input fields refer specifically to the text input fields, which are used to obtain data from the users.


Basic example

A basic example of the input field consists of the MDBInput component with specified label property and v-model directive for creating two-way data bindings.

        
            
            <template>
              <MDBInput label="Example label" v-model="input1" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBInput,
                },
                setup() {
                  const input1 = ref('');

                  return {
                    input1,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const input1 = ref('');
            </script>
          
        
    

Sizing

Set heights using size property like size="lg" or size="sm".



        
            
            <template>
              <MDBInput label="Form control lg" size="lg" />
              <MDBInput label="Form control default" />
              <MDBInput label="Form control sm" size="sm" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Disabled

Add the disabled boolean attribute on a component to give it a grayed out appearance and remove pointer events.

        
            
            <template>
              <MDBInput label="Disabled" disabled aria-label="disabled input example" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Readonly

Add the readonly boolean attribute on a component to prevent modification of the input’s value. Read-only inputs appear lighter (just like disabled inputs), but retain the standard cursor.

        
            
          <template>
            <MDBInput label="Readonly" readonly />
          </template>
        
        
    
        
            
          <script>
            import { MDBInput } from "mdb-vue-ui-kit";

            export default { 
              components: { 
                MDBInput 
              } 
            };
          </script>
        
        
    
        
            
          <script setup lang="ts">
            import { MDBInput } from "mdb-vue-ui-kit";
          </script>
        
        
    

Types

Input types let you specified what data users should provide and help you validate it.

Text

        
            
              <template>
                <MDBInput label="Text input" type="text" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Email

        
            
              <template>
                <MDBInput label="Email input" type="email" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Password

        
            
              <template>
                <MDBInput label="Password input" type="password" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Number

        
            
              <template>
                <MDBInput label="Number input" type="number" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Phone number

        
            
              <template>
                <MDBInput label="Phone number input" type="tel" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

URL

        
            
              <template>
                <MDBInput label="URL input" type="url" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Textarea

        
            
              <template>
                <MDBTextarea label="Message" rows="4" v-model="textareaValue" />
              </template>
            
        
    
        
            
              <script>
                import { MDBTextarea } from 'mdb-vue-ui-kit';
                
                export default {
                  components: {
                    MDBTextarea,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBTextarea } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Text

Block-level or inline-level form text can be created using .form-text.

Associating form text with form controls
Form text should be explicitly associated with the form control it relates to using the aria-describedby attribute. This will ensure that assistive technologies—such as screen readers—will announce this form text when the user focuses or enters the control.

Form text below inputs can be added with formText property. If a block-level element will be used, a top margin is added for easy spacing from the inputs above.

We'll never share your email with anyone else.
        
            
            <template>
              <MDBInput
                label="Example label"
                aria-describedby="textExample1"
                formText="We'll never share your email with anyone else."
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Inline text can use any typical inline HTML element (be it a <span>, <small>, or something else) with nothing more than the .form-text class.

Must be 8-20 characters long.
        
            
            <template>
              <div class="row g-3 align-items-center">
                <MDBInput
                  wrapperClass="col-auto"
                  label="Password"
                  id="formTextExample2"
                  aria-describedby="textExample2"
                />
                <div class="col-auto">
                  <span id="textExample2" class="form-text"> Must be 8-20 characters long. </span>
                </div>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Helper text

Add helper property with text to the input to create helper text.

Example helper
        
            
            <template>
              <MDBInput label="Example label" helper="Example helper" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBInput
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from "mdb-vue-ui-kit";
            </script>
          
        
    

Character counter

Add counter property and set the maxlength property to create a counter.

        
            
            <template>
              <MDBInput counter :maxlength="20" label="Example label" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBInput
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from "mdb-vue-ui-kit";
            </script>
          
        
    

Icons

Trailing icon

Add class trailing to MDBIcon component to create trailing icon in the input.

        
            
              <template>
                <MDBInput
                  type="text"
                  id="form1"
                  class="form-icon-trailing"
                  label="Example label"
                >
                  <MDBIcon icon="exclamation-circle" class="trailing"></MDBIcon>
                </MDBInput>
              </template>
            
        
    
        
            
              <script>
                import { MDBInput, MDBIcon } from "mdb-vue-ui-kit";

                export default {
                  components: {
                    MDBInput,
                    MDBIcon
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput, MDBIcon } from "mdb-vue-ui-kit";
              </script>
            
        
    

Dark background

When placing an input on the dark background add white propery to provide proper contrast.

        
            
            <template>
              <MDBInput label="Example label" white />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Input fields - API


Import

        
            
          <script>
            import {
              MDBInput, 
              MDBTextarea
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Input

Property Type Default Description
counter Boolean false Adds character counter as helper text. Must be used with "maxlength" property
helper String "" Adds helper text
label String "" Changes input label
maxlength Number 0 Sets max charactes count for input elementl
size String "" Changes input size
wrapperClass String "" Changes input wrapper classes
formText String "" Changes input additional text
white Boolean false Changes input skin to dark
tag String "div" Changes input wrapper tag
v-model String | Number "" Changes input value with two-way data binding
required Boolean "" Adds required attribute to input element
validationEvent Boolean Add validation on given event to element
isValidated Boolean false Marks element as validated.
isValid Boolean "" Sets element as valid or invalid
validFeedback String "" Sets valid status feedback for validated element
invalidFeedback String "" Sets invalid status feedback for validated element
tooltipFeedback Boolean false Display validation feedback in a styled tooltip

Textarea

Property Type Default Description
label String "" Changes textarea label
size String "" Changes textarea size
wrapperClass String "" Changes textarea wrapper classes
formText String "" Changes textarea additional text
white Boolean false Changes textarea skin to dark
tag String "div" Changes textarea wrapper tag
rows String | Number 4 Changes textarea rows number
v-model String | Number "" Changes textarea value with two-way data binding
required Boolean "" Adds required attribute to textarea element
validationEvent Boolean Add validation on given event to element
isValidated Boolean false Marks element as validated.
isValid Boolean "" Sets element as valid or invalid
validFeedback String "" Sets valid status feedback for validated element
invalidFeedback String "" Sets invalid status feedback for validated element
tooltipFeedback Boolean false Display validation feedback in a styled tooltip

Input fields

React Bootstrap 5 Input fields component

Input fields refer specifically to the text input fields, which are used to obtain data from the users.


Basic example

A basic example of the input field consists of the input element with specified ID and label element connected via this ID with the input. Both elements are wrapped in .form-outline class which provides a material design look.

        
            
        import React from 'react'; 
        import { MDBInput } from 'mdb-react-ui-kit'; 
        
        export default function App() {

          return (
            <MDBInput label="Example label" id="form1" type="text" />
          ); 
        }
        
        
    

Controlled value

Add value property to set the value of the input field. You can also use the onChange event to handle the value change.

railing icon
        
            
            import React, { useState } from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              const [value, setValue] = useState('');
              
              return (
                <MDBInput
                  value={value}
                  onChange={(e) => setValue(e.target.value)}
                  label='Controlled value'
                  id='controlledValue'
                  type='text'
                />
              );
            }
          
        
    

Sizing

Set heights using properties like size="lg" and size="sm".



        
            
        import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
        <div>
          <MDBInput label="Form control lg" id="formControlLg" type="text" size="lg" />
          <br />
          <MDBInput label="Form control default" id="formControlDefault" type="text" />
          <br />
          <MDBInput label="Form control sm" id="formControlSm" type="text" size="sm" />
        </div>
        ); }
        
        
    

Disabled

Add the disabled boolean property on an input to give it a grayed out appearance and remove pointer events.

        
            
        import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
        <MDBInput label="Disabled" id="formControlDisabled" type="text" disabled />
        ); }
        
        
    

Readonly

Add the readonly boolean property on an input to prevent modification of the input’s value. Read-only inputs appear lighter (just like disabled inputs), but retain the standard cursor.

        
            

        import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
        <MDBInput
          label="Readonly"
          placeholder="Readonly input here..."
          id="formControlReadOnly"
          type="text"
          readonly
        />
        ); }
        
        
    

Types

Input types let you specified what data users should provide and help you validate it.

Text

        
            
          import React from 'react';
              import { MDBInput } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
          <MDBInput label="Text input" id="typeText" type="text" />
          ); }
          
        
    

Email

        
            
          import React from 'react';
          import { MDBInput } from 'mdb-react-ui-kit';
      
            export default function App() {
              return (
                <MDBInput label="Email input" id="typeEmail" type="email" />
              ); 
            }
          
        
    

Password

        
            
            import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
      
            export default function App() {
              return (
                <MDBInput label="Password input" id="typePassword" type="password" />
              ); 
            }
          
        
    

Number

        
            
          import React from 'react';
          import { MDBInput } from 'mdb-react-ui-kit';
      
          export default function App() {
            return (
              <MDBInput label="Number input" id="typeNumber" type="number" />
            );
          }
          
        
    

Phone number

        
            
          import React from 'react';
          import { MDBInput } from 'mdb-react-ui-kit';
      
          export default function App() {
            return (
              <MDBInput label="Phone number input" id="typePhone" type="tel" />
            ); 
          }
          
        
    

URL

        
            
          import React from 'react';
          import { MDBInput } from 'mdb-react-ui-kit';
      
          export default function App() {
            return (
              <MDBInput label="URL input" id="typeURL" type="url" />
            ); 
          }
          
        
    

Textarea

        
            
          import React from 'react';
          import { MDBTextArea } from 'mdb-react-ui-kit';
      
          export default function App() {
            return (
              <MDBTextArea label="Message" id="textAreaExample" rows="{4}" />
            ); 
          }
          
        
    

Text

Block-level or inline-level form text can be created using .form-text.

Associating form text with form controls
Form text should be explicitly associated with the form control it relates to using the aria-describedby attribute. This will ensure that assistive technologies—such as screen readers—will announce this form text when the user focuses or enters the control.

Form text below inputs can be styled with .form-text. If a block-level element will be used, a top margin is added for easy spacing from the inputs above.

We'll never share your email with anyone else.
        
            
        import React from 'react';
        import { MDBInput } from 'mdb-react-ui-kit';
    
        export default function App() {
          return (
            <div>
              <MDBInput
              label="Example label"
              id="formTextExample1"
              type="text"
             aria-describedby="textExample1"
            />
              <div id="textExample1" className="form-text">
              We'll never share your email with anyone else.
              </div>
            </div>
        ); }
        
        
    

Inline text can use any typical inline HTML element (be it a <span>, <small>, or something else) with nothing more than the .form-text class.

Must be 8-20 characters long.
        
            
        import React from 'react';
        import { MDBInput, MDBRow, MDBCol } from 'mdb-react-ui-kit';
    
        export default function App() {
          return (
            <div>
              <MDBRow className="g-3 align-items-center">
                <MDBInput
                 wrapperClass="col-auto"
                 label="Password"
                 type="text"
                 id="formTextExample2"
                 aria-describedby="textExample2"
            />
                <MDBCol size="auto">
                  <span id="textExample2" className="form-text"> 
                    Must be 8-20 characters long. 
                  </span>
                </MDBCol>
              </MDBRow>
            </div>
          ); 
        }
        
        
    

Helper text

Add class form-helper to div to create helper text.

Example helper text
        
            
          import React from 'react'; 
          import { MDBInput } from 'mdb-react-ui-kit'; 
          
          export default function App() { 
            return (
              <MDBInput label='Example label' id='formCounter'>
                <div id='helperTextExample' className='form-helper'>
                  Example helper text
                </div>
              </MDBInput>       
            ); 
          }
          
        
    

Character counter

Set maxLength and showCounter attributes.

        
            
          import React from 'react'; 
          import { MDBInput } from 'mdb-react-ui-kit'; 
          
          export default function App() { 
            return (
              <MDBInput label="Example label" id="formCounter" maxLength="20" showCounter={true} />
            ); 
          }
          
        
    

Icons

Trailing icon

Add class trailing to i tag to create trailing icon in the input.

        
            
          import React from 'react'; 
          import { MDBInput } from 'mdb-react-ui-kit'; 
          
          export default function App() { 
            return (
              <MDBInput label="Example label" id="form-icon-trailing">
                <i className="fas fa-exclamation-circle trailing"></i> 
              </MDBInput>
            ); 
          }
          
        
    

Dark background

When placing an input on the dark background add contrast property to provide proper contrast.

        
            
        import React from 'react';
        import { MDBInput } from 'mdb-react-ui-kit';
    
        export default function App() {
          return (
            <MDBInput label="Example label" type="text" id="formWhite" contrast />
          ); 
        }
        
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Input fields - API


Import

        
            
            import { MDBInput, MDBTextArea } from 'mdb-react-ui-kit';
          
        
    

Properties

MDBInput

Name Type Default Description Example
contrast boolean '' Sets the dark background for the MDBInput <MDBInput contrast type="text" id="inputExample" />
defaultValue string '' Default value of the input <MDBInput defaultValue='test' />
disabled string '' Makes the MDBInput disabled <MDBInput disabled type="text" id="inputExample" />
id string '' Defines an id for the MDBInput <MDBInput type="text" id="inputExample" />
ref React.RefObject undefined Reference to input element <MDBInput ref={inputReference} />
label React.ReactNode '' Defines a label text for the MDBInput <MDBInput label="Example label" type="text" id="inputExample" />
labelId string '' Defines an id for the label <MDBInput label="Example label" labelId="exampleLabel" type="text" id="inputExample" />
labelClass string '' Adds custom classes to the label <MDBInput label="Example label" labelId="exampleLabel" labelClass="test-class" type="text" id="inputExample" />
labelRef React.RefObject undefined Reference to label element <MDBInput labelRef={labelReference}
labelStyle React.CSSProperties undefined Adds custom styles to the label <MDBInput label="Example label" labelStyle={{color: 'red'}} />
name string '' Specifies the name for the MDBInput <MDBInput name="sampleName" type="text" id="inputExample" />
readonly boolean false Makes the MDBInput read only <MDBInput readonly type="text" id="inputExample" />
size string '' Sets the size of the MDBInput <MDBInput size="lg" type="text" id="inputExample" />
value string '' Sets the value for the MDBInput <MDBInput value="Example value" type="text" id="inputExample" />
wrapperTag string '' Defines a tag type for the wrapper of the MDBInput <MDBInput wrapperTag="span" id="exampleID" type="text" id="inputExample" />
wrapperClass string '' Adds custom classes to the wrapper of the MDBInput <MDBInput wrapperClass="custom-class" type="text" id="inputExample" />
wrapperStyle React.CSSProperties undefined Adds custom styles to the wrapper <MDBInput label="Example label" wrapperStyle={{color: 'red'}} />

MDBTextArea

Name Type Default Description Example
cols number undefined Textarea cols number <MDBTextArea cols={3} />
rows number undefined Textarea rows number <MDBTextArea rows={3} />